#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n;
    cin>>n;
    string s;
    cin>>s;
    long long niz[26]={0};
    for(int i=0;i<n;i++)
    {
        long long k=int(s[i])-65;
        if(k==0)
        {
            niz[k]++;
        }
        else
        {
            if(niz[k-1]!=0)
            {
                niz[k]+=niz[k-1];
                niz[k]%=1000000007;
            }
        }
    }
    cout<<niz[25];
}